Page MenuHomePhabricator

Merge RandomFeaturedUser extension into SocialProfile's UserStats
Closed, ResolvedPublic

Description

As discussed privately, @ashley and I have decided that it'd make the most sense for the RandomFeaturedUser extension to be merged into SocialProfile (specifically within the UserStats component). This extension has a hard dependency on SocialProfile, meaning it won't work without SP.

The type of feature provided doesn't make sense to be separated (as its mostly just using logic from UserStats (albeit with code duplication) and making use of it as a custom parser tag), and it'd be much easier to not make breaking changes when the code is in the exact same space.

Details

Related Gerrit Patches:
mediawiki/extensions/SocialProfile : masterMerge the RandomFeaturedUser extension feature into UserStats

Event Timeline

Change 434119 had a related patch set uploaded (by SamanthaNguyen; owner: SamanthaNguyen):
[mediawiki/extensions/SocialProfile@master] Merge the RandomFeaturedUser extension feature into UserStats

https://gerrit.wikimedia.org/r/434119

Change 434119 merged by jenkins-bot:
[mediawiki/extensions/SocialProfile@master] Merge the RandomFeaturedUser extension feature into UserStats

https://gerrit.wikimedia.org/r/434119

SamanthaNguyen closed this task as Resolved.May 20 2018, 7:04 PM
SamanthaNguyen triaged this task as Medium priority.
SamanthaNguyen moved this task from Unsorted to Combine / Incorporate on the Technical-Debt board.
SamanthaNguyen removed a project: Patch-For-Review.
SamanthaNguyen removed a subscriber: gerritbot.
Vvjjkkii renamed this task from Merge RandomFeaturedUser extension into SocialProfile's UserStats to 4mcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed SamanthaNguyen as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
MacFan4000 renamed this task from 4mcaaaaaaa to Merge RandomFeaturedUser extension into SocialProfile's UserStats.Jul 2 2018, 12:21 PM
MacFan4000 closed this task as Resolved.
MacFan4000 lowered the priority of this task from High to Medium.